API reference

GET /api/v1/assets

Recently requested assets and their cache status.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.
regionstringnoRestrict results to a single region code.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "ast_jn8s5kjl42s1iu",
      "created_at": "2024-11-21T17:17:40Z",
      "path": "/build/static/len1ai6m",
      "bytes": 1399032,
      "cache_status": "HIT"
    },
    {
      "id": "ast_gfzmf49pqlr5cf",
      "created_at": "2025-05-06T06:36:01Z",
      "path": "/media/dist/tfnuhl5q",
      "bytes": 15709,
      "cache_status": "MISS"
    },
    {
      "id": "ast_xrzhr7e9izixdr",
      "created_at": "2025-04-19T06:00:46Z",
      "path": "/public/7ysx7obu",
      "bytes": 618770,
      "cache_status": "HIT"
    },
    {
      "id": "ast_g5jp5hynglj0b3",
      "created_at": "2025-09-22T18:29:22Z",
      "path": "/dist/3vfdhupd",
      "bytes": 1540661,
  ...

Example

curl -s https://media.kirsovo.win/api/v1/assets